import { captureException } from '@sentry/node';
import { Listener, container } from '@skyra/http-framework';
import { isSentryInitialized } from '../lib/sentry.js';
export class SharedListener extends Listener {
    constructor(context, options) {
        super(context, { ...options, event: 'error', enabled: isSentryInitialized() });
    }
    run(error) {
        captureException(error, (scope) => scope.setLevel('error').setTag('event', this.name));
    }
}
void container.stores.loadPiece({ name: 'SharedError', piece: SharedListener, store: 'listeners' });
//# sourceMappingURL=SharedError.js.map