import { captureException } from '@sentry/node';
import { Listener, container } from '@skyra/http-framework';
import { isSentryInitialized } from '../lib/sentry.js';
export class SharedListener extends Listener {
    constructor(context, options) {
        super(context, { ...options, event: 'interactionHandlerError', enabled: isSentryInitialized() });
    }
    run(error, context) {
        captureException(error, (scope) => scope.setLevel('error').setTag('event', this.name).setExtra('handler', context.handler.name));
    }
}
void container.stores.loadPiece({ name: 'SharedInteractionHandlerError', piece: SharedListener, store: 'listeners' });
//# sourceMappingURL=SharedInteractionHandlerError.js.map